Review Count & Rating By Employee
curl --request POST \
--url https://api.birdeye.com/resources/v1/review/report/count-by-rating/employee/{BusinessId} \
--header 'Content-Type: application/json' \
--data '
{
"businessNumbers": [
145308764185002,
145308769721320
],
"sourceAlias": [
"google",
"citysearch"
],
"employees": [
{
"firstName": "David",
"lastName": "Wood",
"phone": "4424242424"
}
],
"fromDate": "04/01/2013",
"toDate": "05/3/2015"
}
'import requests
url = "https://api.birdeye.com/resources/v1/review/report/count-by-rating/employee/{BusinessId}"
payload = {
"businessNumbers": [145308764185002, 145308769721320],
"sourceAlias": ["google", "citysearch"],
"employees": [
{
"firstName": "David",
"lastName": "Wood",
"phone": "4424242424"
}
],
"fromDate": "04/01/2013",
"toDate": "05/3/2015"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessNumbers: [145308764185002, 145308769721320],
sourceAlias: ['google', 'citysearch'],
employees: [{firstName: 'David', lastName: 'Wood', phone: '4424242424'}],
fromDate: '04/01/2013',
toDate: '05/3/2015'
})
};
fetch('https://api.birdeye.com/resources/v1/review/report/count-by-rating/employee/{BusinessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"employees": [
{
"employee": {
"firstName": "David",
"lastName": "Wood",
"phone": "4424242424"
},
"countByRating": [
{
"rating": 0,
"count": 0
},
{
"rating": 1,
"count": 1
},
{
"rating": 2,
"count": 0
},
{
"rating": 3,
"count": 0
},
{
"rating": 4,
"count": 2
},
{
"rating": 5,
"count": 1
}
]
}
]
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Review Count & Rating By Employee
Review Count & Rating By Employee returns review count by rating associated with each assisted employee.
POST
/
v1
/
review
/
report
/
count-by-rating
/
employee
/
{BusinessId}
Review Count & Rating By Employee
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Id of the business.
Body
application/json
Response
OK
Employee details for which review count will be fetched.
Show child attributes
Show child attributes
⌘I